// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/NetBSD_g_Ctoc.c_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "NetBSD_g_Ctoc.c_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    _Bool state_0;
    _Bool state_1;
    _Bool state_2;
    _Bool state_3;
    _Bool state_4;
    _Bool state_5;
    int state_6;
    int state_7;
    int state_8;
    int state_9;
    _Bool A_0;
    _Bool B_0;
    _Bool C_0;
    _Bool D_0;
    _Bool E_0;
    int F_0;
    int G_0;
    int H_0;
    int I_0;
    _Bool J_0;
    _Bool A_1;
    _Bool B_1;
    _Bool C_1;
    _Bool D_1;
    _Bool E_1;
    _Bool F_1;
    _Bool G_1;
    _Bool H_1;
    _Bool I_1;
    _Bool J_1;
    _Bool K_1;
    int L_1;
    int M_1;
    int N_1;
    int O_1;
    int P_1;
    int Q_1;
    int R_1;
    int S_1;
    int T_1;
    _Bool U_1;
    _Bool A_2;
    _Bool B_2;
    _Bool C_2;
    _Bool D_2;
    _Bool E_2;
    int F_2;
    int G_2;
    int H_2;
    int I_2;
    _Bool J_2;

    if (((state_6 <= -1000000000) || (state_6 >= 1000000000))
        || ((state_7 <= -1000000000) || (state_7 >= 1000000000))
        || ((state_8 <= -1000000000) || (state_8 >= 1000000000))
        || ((state_9 <= -1000000000) || (state_9 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((N_1 <= -1000000000) || (N_1 >= 1000000000))
        || ((O_1 <= -1000000000) || (O_1 >= 1000000000))
        || ((P_1 <= -1000000000) || (P_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((S_1 <= -1000000000) || (S_1 >= 1000000000))
        || ((T_1 <= -1000000000) || (T_1 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!(D_0 && (!C_0) && (!B_0) && (!A_0) && (!J_0) && (!E_0)))
        abort ();
    state_0 = E_0;
    state_1 = D_0;
    state_2 = C_0;
    state_3 = A_0;
    state_4 = B_0;
    state_5 = J_0;
    state_6 = F_0;
    state_7 = G_0;
    state_8 = H_0;
    state_9 = I_0;
    F_1 = __VERIFIER_nondet__Bool ();
    G_1 = __VERIFIER_nondet__Bool ();
    H_1 = __VERIFIER_nondet__Bool ();
    I_1 = __VERIFIER_nondet__Bool ();
    J_1 = __VERIFIER_nondet__Bool ();
    K_1 = __VERIFIER_nondet__Bool ();
    L_1 = __VERIFIER_nondet_int ();
    if (((L_1 <= -1000000000) || (L_1 >= 1000000000)))
        abort ();
    N_1 = __VERIFIER_nondet_int ();
    if (((N_1 <= -1000000000) || (N_1 >= 1000000000)))
        abort ();
    P_1 = __VERIFIER_nondet_int ();
    if (((P_1 <= -1000000000) || (P_1 >= 1000000000)))
        abort ();
    R_1 = __VERIFIER_nondet_int ();
    if (((R_1 <= -1000000000) || (R_1 >= 1000000000)))
        abort ();
    T_1 = __VERIFIER_nondet_int ();
    if (((T_1 <= -1000000000) || (T_1 >= 1000000000)))
        abort ();
    E_1 = state_0;
    D_1 = state_1;
    C_1 = state_2;
    A_1 = state_3;
    B_1 = state_4;
    U_1 = state_5;
    M_1 = state_6;
    O_1 = state_7;
    Q_1 = state_8;
    S_1 = state_9;
    if (!
        ((B_1 || E_1 || U_1 || (!A_1) || (!C_1) || (!D_1) || (0 <= O_1)
          || (K_1 && (!J_1) && (!I_1) && (!H_1) && (!G_1) && F_1
              && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
              && (S_1 == R_1))) && (B_1 || U_1 || (!A_1) || (!C_1) || (!E_1)
                                    || (!D_1) || (!(Q_1 <= O_1)) || (K_1
                                                                     && (!J_1)
                                                                     && (!I_1)
                                                                     && (!H_1)
                                                                     && (!G_1)
                                                                     && (!F_1)
                                                                     && (M_1
                                                                         ==
                                                                         L_1)
                                                                     && (O_1
                                                                         ==
                                                                         N_1)
                                                                     && (Q_1
                                                                         ==
                                                                         P_1)
                                                                     && (S_1
                                                                         ==
                                                                         R_1)))
         && (A_1 || C_1 || E_1 || U_1 || (!B_1) || (!D_1) || (0 <= M_1)
             || ((!K_1) && J_1 && I_1 && H_1 && G_1 && F_1 && (M_1 == L_1)
                 && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1
                                                                       || C_1
                                                                       || U_1
                                                                       ||
                                                                       (!B_1)
                                                                       ||
                                                                       (!E_1)
                                                                       ||
                                                                       (!D_1)
                                                                       ||
                                                                       (!(Q_1
                                                                          <=
                                                                          M_1))
                                                                       ||
                                                                       ((!K_1)
                                                                        && J_1
                                                                        && I_1
                                                                        && H_1
                                                                        && G_1
                                                                        &&
                                                                        (!F_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)
                                                                        &&
                                                                        (S_1
                                                                         ==
                                                                         R_1)))
         && (A_1 || E_1 || U_1 || (!B_1) || (!C_1) || (!D_1) || (T_1 == 0)
             || ((!K_1) && J_1 && I_1 && (!H_1) && (!G_1) && F_1
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (A_1 || E_1 || U_1 || (!B_1) || (!C_1)
                                       || (!D_1) || (!(T_1 == 0)) || ((!K_1)
                                                                      && J_1
                                                                      &&
                                                                      (!I_1)
                                                                      && H_1
                                                                      && G_1
                                                                      &&
                                                                      (!F_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)
                                                                      && (S_1
                                                                          ==
                                                                          R_1)))
         && (A_1 || C_1 || U_1 || (!B_1) || (!E_1) || (!D_1) || (Q_1 <= M_1)
             || ((!K_1) && J_1 && (!I_1) && H_1 && (!G_1) && (!F_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (A_1 || C_1 || E_1 || U_1 || (!B_1)
                                       || (!D_1) || (!(0 <= M_1)) || ((!K_1)
                                                                      && J_1
                                                                      &&
                                                                      (!I_1)
                                                                      &&
                                                                      (!H_1)
                                                                      && G_1
                                                                      &&
                                                                      (!F_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)
                                                                      && (S_1
                                                                          ==
                                                                          R_1)))
         && (B_1 || U_1 || (!A_1) || (!C_1) || (!E_1) || (!D_1)
             || (Q_1 <= O_1) || ((!K_1) && J_1 && (!I_1) && (!H_1) && (!G_1)
                                 && (!F_1) && (M_1 == L_1) && (O_1 == N_1)
                                 && (Q_1 == P_1) && (S_1 == R_1))) && (B_1
                                                                       || E_1
                                                                       || U_1
                                                                       ||
                                                                       (!A_1)
                                                                       ||
                                                                       (!C_1)
                                                                       ||
                                                                       (!D_1)
                                                                       ||
                                                                       (!(0 <=
                                                                          O_1))
                                                                       ||
                                                                       ((!K_1)
                                                                        &&
                                                                        (!J_1)
                                                                        && I_1
                                                                        && H_1
                                                                        && G_1
                                                                        &&
                                                                        (!F_1)
                                                                        &&
                                                                        (M_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (O_1
                                                                         ==
                                                                         N_1)
                                                                        &&
                                                                        (Q_1
                                                                         ==
                                                                         P_1)
                                                                        &&
                                                                        (S_1
                                                                         ==
                                                                         R_1)))
         && (B_1 || C_1 || U_1 || (!A_1) || (!E_1) || (!D_1) || (S_1 == 0)
             || ((!K_1) && (!J_1) && I_1 && H_1 && (!G_1) && F_1
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (B_1 || C_1 || U_1 || (!A_1) || (!E_1)
                                       || (!D_1) || (!(S_1 == 0)) || ((!K_1)
                                                                      &&
                                                                      (!J_1)
                                                                      && I_1
                                                                      && H_1
                                                                      &&
                                                                      (!G_1)
                                                                      &&
                                                                      (!F_1)
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)
                                                                      && (S_1
                                                                          ==
                                                                          R_1)))
         && (A_1 || B_1 || D_1 || U_1 || (!C_1) || (!E_1) || (S_1 == 0)
             || ((!K_1) && (!J_1) && I_1 && (!H_1) && (!G_1) && (!F_1)
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (A_1 || B_1 || D_1 || U_1 || (!C_1)
                                       || (!E_1) || (!(S_1 == 0)) || ((!K_1)
                                                                      &&
                                                                      (!J_1)
                                                                      &&
                                                                      (!I_1)
                                                                      && H_1
                                                                      && G_1
                                                                      && F_1
                                                                      && (M_1
                                                                          ==
                                                                          L_1)
                                                                      && (O_1
                                                                          ==
                                                                          N_1)
                                                                      && (Q_1
                                                                          ==
                                                                          P_1)
                                                                      && (S_1
                                                                          ==
                                                                          R_1)))
         && (A_1 || B_1 || D_1 || E_1 || U_1 || (!C_1) || (!(1 <= Q_1))
             || ((!K_1) && (!J_1) && (!I_1) && H_1 && (!G_1) && F_1
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || U_1
                                       || (!E_1) || (Q_1 <= 0) || ((!K_1)
                                                                   && (!J_1)
                                                                   && (!I_1)
                                                                   && H_1
                                                                   && (!G_1)
                                                                   && (!F_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (O_1 ==
                                                                       N_1)
                                                                   && (Q_1 ==
                                                                       P_1)
                                                                   && (S_1 ==
                                                                       R_1)))
         && (A_1 || B_1 || C_1 || D_1 || U_1 || (!E_1) || (!(Q_1 <= 0))
             || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && G_1 && F_1
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (C_1 || D_1 || U_1 || (!B_1) || (!A_1)
                                       || (!E_1) || ((!K_1) && J_1 && I_1
                                                     && (!H_1) && G_1 && F_1
                                                     && (O_1 == N_1)
                                                     && (Q_1 == P_1)
                                                     && (S_1 == R_1)
                                                     && ((M_1 + (-1 * L_1)) ==
                                                         -1))) && (A_1 || D_1
                                                                   || U_1
                                                                   || (!B_1)
                                                                   || (!C_1)
                                                                   || (!E_1)
                                                                   || ((!K_1)
                                                                       && J_1
                                                                       &&
                                                                       (!I_1)
                                                                       && H_1
                                                                       && G_1
                                                                       && F_1
                                                                       && (O_1
                                                                           ==
                                                                           N_1)
                                                                       && (Q_1
                                                                           ==
                                                                           P_1)
                                                                       && (S_1
                                                                           ==
                                                                           R_1)
                                                                       &&
                                                                       ((M_1 +
                                                                         (-1 *
                                                                          L_1))
                                                                        ==
                                                                        -1)))
         && (C_1 || U_1 || (!B_1) || (!A_1) || (!E_1) || (!D_1)
             || ((!K_1) && J_1 && I_1 && H_1 && (!G_1) && (!F_1)
                 && (M_1 == L_1) && (Q_1 == P_1) && (S_1 == R_1)
                 && ((O_1 + (-1 * N_1)) == -1))) && (A_1 || U_1 || (!B_1)
                                                     || (!C_1) || (!E_1)
                                                     || (!D_1) || ((!K_1)
                                                                   && J_1
                                                                   && I_1
                                                                   && (!H_1)
                                                                   && (!G_1)
                                                                   && (!F_1)
                                                                   && (M_1 ==
                                                                       L_1)
                                                                   && (Q_1 ==
                                                                       P_1)
                                                                   && (S_1 ==
                                                                       R_1)
                                                                   &&
                                                                   ((O_1 +
                                                                     (-1 *
                                                                      N_1)) ==
                                                                    -1)))
         && (D_1 || E_1 || U_1 || (!B_1) || (!A_1) || (!C_1)
             || ((!K_1) && J_1 && I_1 && H_1 && (!G_1) && F_1 && (M_1 == L_1)
                 && (O_1 == N_1) && (Q_1 == P_1)
                 && ((S_1 + (-1 * R_1)) == 1))) && (A_1 || B_1 || C_1
                                                    || (!U_1) || (!E_1)
                                                    || (!D_1) || (K_1
                                                                  && (!J_1)
                                                                  && (!I_1)
                                                                  && (!H_1)
                                                                  && G_1
                                                                  && F_1
                                                                  && (M_1 ==
                                                                      L_1)
                                                                  && (O_1 ==
                                                                      N_1)
                                                                  && (Q_1 ==
                                                                      P_1)
                                                                  && (S_1 ==
                                                                      R_1)))
         && (A_1 || B_1 || C_1 || E_1 || (!U_1) || (!D_1)
             || (K_1 && (!J_1) && (!I_1) && (!H_1) && (!G_1) && F_1
                 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                 && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || E_1
                                       || (!U_1) || (K_1 && (!J_1) && (!I_1)
                                                     && (!H_1) && (!G_1)
                                                     && (!F_1) && (M_1 == L_1)
                                                     && (O_1 == N_1)
                                                     && (Q_1 == P_1)
                                                     && (S_1 == R_1))) && (U_1
                                                                           ||
                                                                           (!B_1)
                                                                           ||
                                                                           (!A_1)
                                                                           ||
                                                                           (!C_1)
                                                                           ||
                                                                           (!E_1)
                                                                           ||
                                                                           (!D_1)
                                                                           ||
                                                                           ((!K_1) && J_1 && I_1 && H_1 && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (D_1 || U_1 || (!B_1) || (!A_1) || (!C_1) || (!E_1) || ((!K_1) && J_1 && I_1 && H_1 && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (C_1 || E_1 || U_1 || (!B_1) || (!A_1) || (!D_1) || ((!K_1) && J_1 && I_1 && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || D_1 || E_1 || U_1 || (!B_1) || (!C_1) || ((!K_1) && J_1 && (!I_1) && H_1 && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || C_1 || D_1 || U_1 || (!B_1) || (!E_1) || ((!K_1) && J_1 && (!I_1) && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || C_1 || D_1 || E_1 || U_1 || (!B_1) || ((!K_1) && J_1 && (!I_1) && (!H_1) && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || D_1 || U_1 || (!A_1) || (!C_1) || (!E_1) || ((!K_1) && (!J_1) && I_1 && H_1 && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || C_1 || D_1 || U_1 || (!A_1) || (!E_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (E_1 || U_1 || (!B_1) || (!A_1) || (!C_1) || (!D_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || E_1 || U_1 || (!C_1) || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && H_1 && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || E_1 || U_1 || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || (!U_1) || (!E_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || U_1 || (!E_1) || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || U_1 || (!C_1) || (!E_1) || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || D_1 || E_1 || U_1 || (!A_1) || (!C_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (C_1 || D_1 || E_1 || U_1 || (!B_1) || (!A_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || E_1 || U_1 || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == R_1) && (Q_1 == P_1))) && (B_1 || C_1 || D_1 || E_1 || U_1 || (!A_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && (!G_1) && F_1 && (L_1 == 0) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || C_1 || E_1 || U_1 || (!A_1) || (!D_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && G_1 && (!F_1) && (N_1 == 0) && (M_1 == L_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || D_1 || E_1 || U_1 || (!C_1) || (1 <= Q_1) || (K_1 && (!J_1) && (!I_1) && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1)))))
        abort ();
    state_0 = G_1;
    state_1 = F_1;
    state_2 = H_1;
    state_3 = I_1;
    state_4 = J_1;
    state_5 = K_1;
    state_6 = L_1;
    state_7 = N_1;
    state_8 = P_1;
    state_9 = R_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          E_2 = state_0;
          D_2 = state_1;
          C_2 = state_2;
          A_2 = state_3;
          B_2 = state_4;
          J_2 = state_5;
          F_2 = state_6;
          G_2 = state_7;
          H_2 = state_8;
          I_2 = state_9;
          if (!
              (((!J_2) && A_2 && B_2 && C_2 && (!D_2) && E_2)
               || ((!J_2) && A_2 && B_2 && C_2 && D_2 && E_2) || (J_2
                                                                  && (!A_2)
                                                                  && (!B_2)
                                                                  && (!C_2)
                                                                  && (!D_2)
                                                                  && (!E_2))
               || (J_2 && (!A_2) && (!B_2) && (!C_2) && D_2 && (!E_2)) || (J_2
                                                                           &&
                                                                           (!A_2)
                                                                           &&
                                                                           (!B_2)
                                                                           &&
                                                                           (!C_2)
                                                                           &&
                                                                           D_2
                                                                           &&
                                                                           E_2)))
              abort ();
          goto main_error;

      case 1:
          F_1 = __VERIFIER_nondet__Bool ();
          G_1 = __VERIFIER_nondet__Bool ();
          H_1 = __VERIFIER_nondet__Bool ();
          I_1 = __VERIFIER_nondet__Bool ();
          J_1 = __VERIFIER_nondet__Bool ();
          K_1 = __VERIFIER_nondet__Bool ();
          L_1 = __VERIFIER_nondet_int ();
          if (((L_1 <= -1000000000) || (L_1 >= 1000000000)))
              abort ();
          N_1 = __VERIFIER_nondet_int ();
          if (((N_1 <= -1000000000) || (N_1 >= 1000000000)))
              abort ();
          P_1 = __VERIFIER_nondet_int ();
          if (((P_1 <= -1000000000) || (P_1 >= 1000000000)))
              abort ();
          R_1 = __VERIFIER_nondet_int ();
          if (((R_1 <= -1000000000) || (R_1 >= 1000000000)))
              abort ();
          T_1 = __VERIFIER_nondet_int ();
          if (((T_1 <= -1000000000) || (T_1 >= 1000000000)))
              abort ();
          E_1 = state_0;
          D_1 = state_1;
          C_1 = state_2;
          A_1 = state_3;
          B_1 = state_4;
          U_1 = state_5;
          M_1 = state_6;
          O_1 = state_7;
          Q_1 = state_8;
          S_1 = state_9;
          if (!
              ((B_1 || E_1 || U_1 || (!A_1) || (!C_1) || (!D_1) || (0 <= O_1)
                || (K_1 && (!J_1) && (!I_1) && (!H_1) && (!G_1) && F_1
                    && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                    && (S_1 == R_1))) && (B_1 || U_1 || (!A_1) || (!C_1)
                                          || (!E_1) || (!D_1)
                                          || (!(Q_1 <= O_1)) || (K_1 && (!J_1)
                                                                 && (!I_1)
                                                                 && (!H_1)
                                                                 && (!G_1)
                                                                 && (!F_1)
                                                                 && (M_1 ==
                                                                     L_1)
                                                                 && (O_1 ==
                                                                     N_1)
                                                                 && (Q_1 ==
                                                                     P_1)
                                                                 && (S_1 ==
                                                                     R_1)))
               && (A_1 || C_1 || E_1 || U_1 || (!B_1) || (!D_1) || (0 <= M_1)
                   || ((!K_1) && J_1 && I_1 && H_1 && G_1 && F_1
                       && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1)
                       && (S_1 == R_1))) && (A_1 || C_1 || U_1 || (!B_1)
                                             || (!E_1) || (!D_1)
                                             || (!(Q_1 <= M_1)) || ((!K_1)
                                                                    && J_1
                                                                    && I_1
                                                                    && H_1
                                                                    && G_1
                                                                    && (!F_1)
                                                                    && (M_1 ==
                                                                        L_1)
                                                                    && (O_1 ==
                                                                        N_1)
                                                                    && (Q_1 ==
                                                                        P_1)
                                                                    && (S_1 ==
                                                                        R_1)))
               && (A_1 || E_1 || U_1 || (!B_1) || (!C_1) || (!D_1)
                   || (T_1 == 0) || ((!K_1) && J_1 && I_1 && (!H_1) && (!G_1)
                                     && F_1 && (M_1 == L_1) && (O_1 == N_1)
                                     && (Q_1 == P_1) && (S_1 == R_1))) && (A_1
                                                                           ||
                                                                           E_1
                                                                           ||
                                                                           U_1
                                                                           ||
                                                                           (!B_1)
                                                                           ||
                                                                           (!C_1)
                                                                           ||
                                                                           (!D_1)
                                                                           ||
                                                                           (!
                                                                            (T_1
                                                                             ==
                                                                             0))
                                                                           ||
                                                                           ((!K_1) && J_1 && (!I_1) && H_1 && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || C_1 || U_1 || (!B_1) || (!E_1) || (!D_1) || (Q_1 <= M_1) || ((!K_1) && J_1 && (!I_1) && H_1 && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || C_1 || E_1 || U_1 || (!B_1) || (!D_1) || (!(0 <= M_1)) || ((!K_1) && J_1 && (!I_1) && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || U_1 || (!A_1) || (!C_1) || (!E_1) || (!D_1) || (Q_1 <= O_1) || ((!K_1) && J_1 && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || E_1 || U_1 || (!A_1) || (!C_1) || (!D_1) || (!(0 <= O_1)) || ((!K_1) && (!J_1) && I_1 && H_1 && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || C_1 || U_1 || (!A_1) || (!E_1) || (!D_1) || (S_1 == 0) || ((!K_1) && (!J_1) && I_1 && H_1 && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || C_1 || U_1 || (!A_1) || (!E_1) || (!D_1) || (!(S_1 == 0)) || ((!K_1) && (!J_1) && I_1 && H_1 && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || D_1 || U_1 || (!C_1) || (!E_1) || (S_1 == 0) || ((!K_1) && (!J_1) && I_1 && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || D_1 || U_1 || (!C_1) || (!E_1) || (!(S_1 == 0)) || ((!K_1) && (!J_1) && (!I_1) && H_1 && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || D_1 || E_1 || U_1 || (!C_1) || (!(1 <= Q_1)) || ((!K_1) && (!J_1) && (!I_1) && H_1 && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || U_1 || (!E_1) || (Q_1 <= 0) || ((!K_1) && (!J_1) && (!I_1) && H_1 && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || U_1 || (!E_1) || (!(Q_1 <= 0)) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (C_1 || D_1 || U_1 || (!B_1) || (!A_1) || (!E_1) || ((!K_1) && J_1 && I_1 && (!H_1) && G_1 && F_1 && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1) && ((M_1 + (-1 * L_1)) == -1))) && (A_1 || D_1 || U_1 || (!B_1) || (!C_1) || (!E_1) || ((!K_1) && J_1 && (!I_1) && H_1 && G_1 && F_1 && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1) && ((M_1 + (-1 * L_1)) == -1))) && (C_1 || U_1 || (!B_1) || (!A_1) || (!E_1) || (!D_1) || ((!K_1) && J_1 && I_1 && H_1 && (!G_1) && (!F_1) && (M_1 == L_1) && (Q_1 == P_1) && (S_1 == R_1) && ((O_1 + (-1 * N_1)) == -1))) && (A_1 || U_1 || (!B_1) || (!C_1) || (!E_1) || (!D_1) || ((!K_1) && J_1 && I_1 && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (Q_1 == P_1) && (S_1 == R_1) && ((O_1 + (-1 * N_1)) == -1))) && (D_1 || E_1 || U_1 || (!B_1) || (!A_1) || (!C_1) || ((!K_1) && J_1 && I_1 && H_1 && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && ((S_1 + (-1 * R_1)) == 1))) && (A_1 || B_1 || C_1 || (!U_1) || (!E_1) || (!D_1) || (K_1 && (!J_1) && (!I_1) && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || E_1 || (!U_1) || (!D_1) || (K_1 && (!J_1) && (!I_1) && (!H_1) && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || E_1 || (!U_1) || (K_1 && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (U_1 || (!B_1) || (!A_1) || (!C_1) || (!E_1) || (!D_1) || ((!K_1) && J_1 && I_1 && H_1 && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (D_1 || U_1 || (!B_1) || (!A_1) || (!C_1) || (!E_1) || ((!K_1) && J_1 && I_1 && H_1 && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (C_1 || E_1 || U_1 || (!B_1) || (!A_1) || (!D_1) || ((!K_1) && J_1 && I_1 && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || D_1 || E_1 || U_1 || (!B_1) || (!C_1) || ((!K_1) && J_1 && (!I_1) && H_1 && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || C_1 || D_1 || U_1 || (!B_1) || (!E_1) || ((!K_1) && J_1 && (!I_1) && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || C_1 || D_1 || E_1 || U_1 || (!B_1) || ((!K_1) && J_1 && (!I_1) && (!H_1) && (!G_1) && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || D_1 || U_1 || (!A_1) || (!C_1) || (!E_1) || ((!K_1) && (!J_1) && I_1 && H_1 && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || C_1 || D_1 || U_1 || (!A_1) || (!E_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (E_1 || U_1 || (!B_1) || (!A_1) || (!C_1) || (!D_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || E_1 || U_1 || (!C_1) || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && H_1 && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || E_1 || U_1 || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || D_1 || (!U_1) || (!E_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || U_1 || (!E_1) || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || U_1 || (!C_1) || (!E_1) || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || D_1 || E_1 || U_1 || (!A_1) || (!C_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (C_1 || D_1 || E_1 || U_1 || (!B_1) || (!A_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && (!G_1) && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || C_1 || E_1 || U_1 || (!D_1) || ((!K_1) && (!J_1) && (!I_1) && (!H_1) && G_1 && (!F_1) && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == R_1) && (Q_1 == P_1))) && (B_1 || C_1 || D_1 || E_1 || U_1 || (!A_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && (!G_1) && F_1 && (L_1 == 0) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1))) && (B_1 || C_1 || E_1 || U_1 || (!A_1) || (!D_1) || ((!K_1) && (!J_1) && I_1 && (!H_1) && G_1 && (!F_1) && (N_1 == 0) && (M_1 == L_1) && (Q_1 == P_1) && (S_1 == R_1))) && (A_1 || B_1 || D_1 || E_1 || U_1 || (!C_1) || (1 <= Q_1) || (K_1 && (!J_1) && (!I_1) && (!H_1) && G_1 && F_1 && (M_1 == L_1) && (O_1 == N_1) && (Q_1 == P_1) && (S_1 == R_1)))))
              abort ();
          state_0 = G_1;
          state_1 = F_1;
          state_2 = H_1;
          state_3 = I_1;
          state_4 = J_1;
          state_5 = K_1;
          state_6 = L_1;
          state_7 = N_1;
          state_8 = P_1;
          state_9 = R_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

